org.ajax4jsf.component

## Interface AjaxClientBehavior

- All Superinterfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior
  All Known Implementing Classes:
    AjaxBehavior, ClientValidatorImpl

      public interface AjaxClientBehavior
      extends javax.faces.component.behavior.ClientBehavior

  Author:
    Anton Belevich interface for our ajax behaviors

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
    `Object` | `getData()`
    `Object` | `getExecute()`
    `String` | `getOnbeforedomupdate()`
    `String` | `getOnbeforesubmit()`
    `String` | `getOnbegin()`
    `String` | `getOncomplete()`
    `String` | `getOnerror()`
    `String` | `getQueueId()`
    `Object` | `getRender()`
    `String` | `getStatus()`
    `boolean` | `isDisabled()`
    `boolean` | `isLimitRender()`
    `boolean` | `isResetValues()`
    `void` | `removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
    `void` | `setData(Object data)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setExecute(Object execute)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbeforesubmit(String onbeforesubmit)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOnerror(String onerror)`
    `void` | `setQueueId(String queueId)`
    `void` | `setRender(Object render)`
    `void` | `setResetValues(boolean resetValues)`
    `void` | `setStatus(String statusId)`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehavior

      `decode, getHints, getScript`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Method Detail

    - #### isLimitRender

          boolean isLimitRender()

    - #### setLimitRender

          void setLimitRender(boolean limitRender)

    - #### setExecute

          void setExecute(Object execute)

    - #### getExecute

          Object getExecute()

    - #### setRender

          void setRender(Object render)

    - #### getRender

          Object getRender()

    - #### isDisabled

          boolean isDisabled()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### setQueueId

          void setQueueId(String queueId)

    - #### getQueueId

          String getQueueId()

    - #### setStatus

          void setStatus(String statusId)

    - #### getStatus

          String getStatus()

    - #### getOnerror

          String getOnerror()

    - #### setOnerror

          void setOnerror(String onerror)

    - #### getOncomplete

          String getOncomplete()

    - #### setOncomplete

          void setOncomplete(String oncomplete)

    - #### getOnbegin

          String getOnbegin()

    - #### setOnbegin

          void setOnbegin(String onbegin)

    - #### getOnbeforedomupdate

          String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbeforesubmit

          String getOnbeforesubmit()

    - #### setOnbeforesubmit

          void setOnbeforesubmit(String onbeforesubmit)

    - #### getData

          Object getData()

    - #### setData

          void setData(Object data)

    - #### isResetValues

          boolean isResetValues()

    - #### setResetValues

          void setResetValues(boolean resetValues)

    - #### addAjaxBehaviorListener

          void addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

    - #### removeAjaxBehaviorListener

          void removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.